Bug 9993 - Gnokii не распознаёт поля имени и фамилии
: Gnokii не распознаёт поля имени и фамилии
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/gnokii)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-09-13 00:50 by
Modified: 2011-01-21 21:01 (History)


Attachments
Распознавание полей имени и фамилии при чтении из адресной книги (6.38 KB, patch)
2006-09-13 00:59, Michael A. Kangin
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-09-13 00:50:14
Телефон - Nokia 6280.
gnokii версии 0.6.14

При импорте контакта из телефонной книги не распознаются поля имени (firstname,
givenname) и фамилии (lastname, surename). Импортируется только общее имя контакта.
То же самое при записи в телефонную книгу - общее имя попадает у телефона в поле
имени или фамилии, в результате чего невозможно сортировать контакты по
имени/фамилии.

------------------
$ gnokii --getphonebook ME 1
GNOKII Version 0.6.14
LOG: debug mask is 0x1
LOG: rlpdebug mask is 0x1
LOG: xdebug mask is 0x1
phone instance config:
model: 6510
port_device: /dev/ircomm0
connection_type: 4
init_length: 0
serial_baudrate: 115200
serial_write_usleep: -1
hardware_handshake: 0
require_dcd: 0
smsc_timeout: 100
connect_script:
disconnect_script:
rfcomm_cn: 1
sm_retry: off
Connecting
Serial device: opening device /dev/ircomm0
Expecting:
Default: Nokia 6280 9493
Getting model...
Message sent: 0x1b / 0x0006
00 01 00 07 01 00 |
Message received: 0x1b / 0x002e
01 3b 00 08 00 01 58 28 00 23 56 20 30 33 2e 36 | ; X( #V 03.6
30 0a 31 30 2d 30 32 2d 30 36 0a 52 4d 2d 37 38 | 0 10-02-06 RM-78
0a 28 63 29 20 4e 6f 6b 69 61 0a 45 00 00 | (c) Nokia E
Received message type 1b
model length: 5
Received model RM-78
Reading phonebook location (1)
Message sent: 0x03 / 0x0012
00 01 00 07 01 01 00 01 02 05 00 00 00 00 00 01 |
00 00 |
Message received: 0x03 / 0x0096
01 57 00 08 00 01 01 00 00 10 00 05 00 01 00 00 | W
00 25 00 00 00 06 0b 00 00 18 03 00 00 00 00 0c | %
00 31 00 32 00 33 00 34 00 35 00 00 00 00 0b 00 | 1 2 3 4 5
00 18 04 03 00 00 00 0c 00 31 00 31 00 31 00 31 | 1 1 1 1
00 31 00 00 00 00 07 00 00 20 3f 18 00 53 00 6d | 1 ? S m
00 69 00 74 00 68 00 20 00 50 00 69 00 74 00 65 | i t h P i t e
00 72 00 00 00 00 2f 00 00 08 00 3f 80 01 47 00 | r / ?─ G
00 14 01 0c 00 53 00 6d 00 69 00 74 00 68 00 00 | S m i t h
00 00 46 00 00 14 02 0c 00 50 00 69 00 74 00 65 | F P i t e
00 72 00 00 00 00 | r
Received message type 03
Received phonebook info
Blockstart: 0x0b
Type: 0 (00)
Number: 12345
Blockstart: 0x0b
Type: 3 (03)
Number: 11111
Blockstart: 0x07
Name: Smith Piter
Blockstart: 0x2f
Unknown phonebook block 2f
Blockstart: 0x47
Unknown phonebook block 47
Blockstart: 0x46
Unknown phonebook block 46
1. Name: Smith Piter
Group: None
subentries count: 2
General number: 12345
Cellular number: 11111
Serial device: closing device
--------------------

при записи контакта в ldif gnokii наивно пытается записать отдельные поля для
имени/фамилии, исходя из предположения, что фамилия всегда будет идти последней.
(common/ldif.c, строки 91-94). При порядке выдачи телефоном сначала фамилии,
потом имени, такой алгоритм идёт лесом.
------- Comment #1 From 2006-09-13 00:59:37 -------
Created an attachment (id=1626) [details]
Распознавание полей имени и фамилии при чтении из адресной книги

Этот патч позволяет читать поля имени/фамилии из адресной книги телефона. 
Распознавание этих полей реализовано для режимов "простого" чтения, экпорте в
vcard и ldif. При режиме чтения "raw" эти поля не отдаются - не знаю точно, как
вплести их в структуру raw-записи. 
Реализована робкая и безуспешная попытка записывать эти поля в адресную книгу
телефона при импорте из ldif-формата. При отладке видно, что данные телефону
передаются, но он их игнорирует. Очевидно, как-то они не так передаются.
------- Comment #2 From 2006-09-14 00:35:39 -------
Вообще с таким лучше сразу в апстрим... ну и советую gammu глянуть.
------- Comment #3 From 2006-09-14 02:19:27 -------
(In reply to comment #2)
> Вообще с таким лучше сразу в апстрим... ну и советую gammu глянуть.

В апстрим я пробовал писать недельку назад, правда, без демопатча. 
Но то ли они презирают меня за мой английский, то ли просто игнорируют... 8)

gammu еще более безнадёжна. Мне удалось запустить её в режиме at-комманд, а в
этом режиме телефончик отдаёт только по одному телефону из контакта и вообще нет
разбиения на фамилию/имя.
------- Comment #4 From 2008-06-13 13:00:39 -------
*** This bug has been confirmed by popular vote. ***
------- Comment #5 From 2010-01-10 15:33:18 -------
Nobody cares.
------- Comment #6 From 2011-01-21 21:01:14 -------
Как мне кажется, LATER плавно перешло в WONTFIX.